Select Database Instance
Newer Version Available
A newer version of this API is available with simplified payloads aligned with the UI.
This API returns list of instances for the selected cloud account.
Query Parameters
- regionId integer
Id of the region, Use select region to get ID. Application for SaaS
- cloudAccountId integer required
Id of the cloud Account
- backupGateways string
Comma separated backupGateway Client IDs. Not needed for directCloudBackup
Responses
- 200
OK
- application/json
- Schema
- Example (from schema)
- Example 1
Schema
rdsDBInstances object[]
allocatedStorage integerdbName stringregionName stringavailabilityZone stringdbInstanceStatus stringengine stringengineVersion stringmasterUsername stringdbInstanceIdentifier stringendPoint stringport integerbackupRetentionPeriod integer
{
"rdsDBInstances": [
{
"allocatedStorage": 0,
"dbName": "string",
"regionName": "string",
"availabilityZone": "string",
"dbInstanceStatus": "string",
"engine": "string",
"engineVersion": "string",
"masterUsername": "string",
"dbInstanceIdentifier": "string",
"endPoint": "string",
"port": 0,
"backupRetentionPeriod": 0
}
]
}
{
"rdsDBInstances": [
{
"allocatedStorage": 102400,
"dbName": "jah-mariadb",
"regionName": "eastus",
"readReplicaSourceDBInstanceIdentifier": "",
"availabilityZone": "eastus",
"preferredBackupWindow": "",
"dbInstanceStatus": "Ready",
"secondaryAvailabilityZone": "",
"engine": "mysql",
"iops": -1237422264,
"publiclyAccessible": false,
"engineVersion": "10.3",
"masterUsername": "joelhoward",
"isMultAZ": true,
"dbInstanceIdentifier": "mariadb/jah-mariadb",
"vpcSecurityGroup": "",
"characterSetName": "",
"instanceCreateTime": 4294967294,
"dBInstanceClass": "",
"dbSecurityGroup": "",
"endPoint": "jah-mariadb.mariadb.database.azure.com",
"port": 3306,
"licenseModel": "",
"preferredMaintenanceWindow": "",
"backupRetentionPeriod": 7,
"dbSubnetGroup": "",
"autoMinorVersionUpgrade": true,
"latestRestorableTime": 3056332224
},
{
"allocatedStorage": 102400,
"dbName": "mariadb103",
"regionName": "eastus",
"readReplicaSourceDBInstanceIdentifier": "",
"availabilityZone": "eastus",
"preferredBackupWindow": "",
"dbInstanceStatus": "Ready",
"secondaryAvailabilityZone": "",
"engine": "mysql",
"iops": -1237422264,
"publiclyAccessible": false,
"engineVersion": "10.3",
"masterUsername": "test",
"isMultAZ": true,
"dbInstanceIdentifier": "mariadb/mariadb103",
"vpcSecurityGroup": "",
"characterSetName": "",
"instanceCreateTime": 4294967294,
"dBInstanceClass": "",
"dbSecurityGroup": "",
"endPoint": "mariadb103.mariadb.database.azure.com",
"port": 3306,
"licenseModel": "",
"preferredMaintenanceWindow": "",
"backupRetentionPeriod": 7,
"dbSubnetGroup": "",
"autoMinorVersionUpgrade": true,
"latestRestorableTime": 3056332224
}
]
}
Loading...